Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4473714

ORB versioning required for JDK 1.3.1_01 and PutField/GetField

    XMLWordPrintable

    Details

    • Subcomponent:
    • Resolved In Build:
      beta2
    • CPU:
      generic
    • OS:
      generic

      Description

      Beginning with the JDK 1.3.1_01 patch, we support a PutField/GetField implementation that maintains wire compatibility with older versions of classes which didn't use this serialization feature.

      Part of the patch rev'd its ORB version service context to use the value of 3 to indicate its version. It also appended a version byte to the end of its IORs. We now need to rev Merlin's ORB version service context to something like 10 (it was 3 previously) so we can tell the difference.

      Also, we can now forward port the backwards compatibility/ORB versioning from the JDK 1.3.1_01 patch such that even JDK 1.4 and behind can communicate with JDK 1.3.0 and 1.3.1FCS when both sides use this feature.

      See the attached test case for a PutField/GetField example. It should be run with all combinations of JDK 1.3.0, 1.3.1, 1.3.1_01, and 1.4.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              eandersosunw Everett Anderson (Inactive)
              Reporter:
              eandersosunw Everett Anderson (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported:
                Indexed: